Skip to content
Primary navigation

Create checkpoint permissions

POST/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions

NOTE: Calling this endpoint requires an admin API key.

This enables organization owners to share fine-tuned models with other projects in their organization.

Path ParametersExpand Collapse
fine_tuned_model_checkpoint: string
Body ParametersJSONExpand Collapse
project_ids: array of string

The project identifiers to grant access to.

ReturnsExpand Collapse
data: array of object { id, created_at, object, project_id }
id: string

The permission identifier, which can be referenced in the API endpoints.

created_at: number

The Unix timestamp (in seconds) for when the permission was created.

object: "checkpoint.permission"

The object type, which is always "checkpoint.permission".

project_id: string

The project identifier that the permission is for.

has_more: boolean
object: "list"
first_id: optional string
last_id: optional string

Create checkpoint permissions

curl https://api.openai.com/v1/fine_tuning/checkpoints/ft:gpt-4o-mini-2024-07-18:org:weather:B7R9VjQd/permissions \
  -H "Authorization: Bearer $OPENAI_API_KEY"
  -d '{"project_ids": ["proj_abGMw1llN8IrBb6SvvY5A1iH"]}'
{
  "object": "list",
  "data": [
    {
      "object": "checkpoint.permission",
      "id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
      "created_at": 1721764867,
      "project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
    }
  ],
  "first_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
  "last_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
  "has_more": false
}
Returns Examples
{
  "object": "list",
  "data": [
    {
      "object": "checkpoint.permission",
      "id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
      "created_at": 1721764867,
      "project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
    }
  ],
  "first_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
  "last_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
  "has_more": false
}